---
lang: en
title: 'API docs: openapi-spec-builder.operationspecbuilder.withoperationid'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/openapi-spec-builder
permalink: /doc/en/lb4/apidocs.openapi-spec-builder.operationspecbuilder.withoperationid.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-spec-builder](./openapi-spec-builder.md) &gt; [OperationSpecBuilder](./openapi-spec-builder.operationspecbuilder.md) &gt; [withOperationId](./openapi-spec-builder.operationspecbuilder.withoperationid.md)

## OperationSpecBuilder.withOperationId() method

Define the operationId

<b>Signature:</b>

```typescript
withOperationId(operationId: string): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  operationId | <code>string</code> | Operation id |

<b>Returns:</b>

`this`


